Skip to content

List Resources

Request

List all resources

Security
oAuth2ClientCredentials
Query
cursorstring or null(Cursor)
Any of:

Pagination cursor. Mutually exclusive with other query parameters

string
updated_afterstring or null(Updated After)
Any of:

Filter to fetch the resources updated after this time. Timestamp format is ISO 8601 YYYY-MM-DDTHH:MM:SSZ

string (date-time)
external_idstring or null(External Id)
Any of:

External resource identifier to match exactly.

string
external_id:instring or null(External Id:In)
Any of:

External resource identifiers to match. Comma-separated list.

string
resource_typeResourceTypeEnum (string) or null(Resource Type)
Any of:

Resource type to match exactly.

string(ResourceTypeEnum)
Enum:"AIRPLANE""BARGE""CHASSIS""COMPARTMENT""CONTAINER""DRIVER""FERRY""FULL_TRAILER""HANDLING""RIGID"
resource_type:instring or null(Resource Type:In)
Any of:

Resource types to match. Comma-separated list.

string
GET
/v1/resources/resource
import requests

url = "https://api.qargo.com/v1/resources/resource"

headers = {"Authorization": "Bearer <YOUR_TOKEN_HERE>"}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Responses

Successful Response

Bodyapplication/json
next_cursorstring or null(Next Cursor)
Any of:
string
itemsArray of any(Items)required
Response
{ "next_cursor": "string", "items": [ {} ] }